JEKYLL_BUILD(1)

NAME
jekyll_build - build a website from its sources

USAGE
jekyll build [options...]

OPTIONS
The following options control the build command.

--config CONFIG_FILE[,CONFIG_FILE2,...]
    Use one or more (custom) configuration files instead of or together with _config.yml. Settings specified in later files override earlier definitions.

-b, --baseurl URL
    Serve the website from the given base URL.

-I, --incremental
    Enable incremental rebuilds. Only generate documents and pages that were updated since the previous build. The file .jekyll-metadata keeps track of both file modification times and inter-document dependencies.

-w, --[no-]watch
    Watch for changes and rebuild the changed sites from source. This

--limit_posts MAX_POSTS
    Limit the number of posts to parse and publish.

--future
    Publish posts or collection documents with a future date.

-D, --drafts
    Process and render posts in the _drafts folder (defaults to no).

--unpublished
    Render posts that are marked as unpublished (defaults to no).

--force_polling
    Force watch to use polling.

--lsi
    Use a Latent Semantic Indexer (LSI) like classifier-reborn for an improved related posts feature.

--strict_front_matter
    Fail the build if errors are present in the front matter.

-q, --quiet
    Silence output.

-V, --verbose
    Print verbose output.

For a list of general options please read the jekyll(1) manual page.

SEE ALSO
jekyll-serve(1), jekyll(1)

AUTHOR
This manual page was written by Daniel Leidert <dleidert@debian.org>, for the Debian GNU/Linux system (but may be used by others).